Forum Linux Mint Polska

Pełna wersja: Instalacja javy
Aktualnie przeglądasz uproszczoną wersję forum. Kliknij tutaj, by zobaczyć wersję z pełnym formatowaniem.
Prośba o pomoc w podobnym temacie. Właśnie odinstalowałem okienka od Billa i po instalacji MINTa mam problem z zainstalowaniem czegokolwiek:

Kod:
[email protected]://# apt-get install openjdk-8-
openjdk-8-dbg           openjdk-8-doc           openjdk-8-jdk-headless  openjdk-8-jre-dcevm     openjdk-8-jre-zero      
openjdk-8-demo          openjdk-8-jdk           openjdk-8-jre           openjdk-8-jre-headless  openjdk-8-source        
[email protected]://# apt-get install openjdk-8-jre
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Odczyt informacji o stanie... Gotowe
Należy uruchomić "apt --fix-broken install", aby je naprawić.
Następujące pakiety mają niespełnione zależności:
libwebkit2gtk-4.0-37 : Wymaga: libjavascriptcoregtk-4.0-18 (= 2.24.2-0ubuntu0.18.04.1) ale 2.22.4-0ubuntu0.18.04.1 ma zostać zainstalowany
openjdk-8-jre : Wymaga: openjdk-8-jre-headless (= 8u212-b03-0ubuntu1.18.04.1) ale nie zostanie zainstalowany
                Wymaga: libatk-wrapper-java-jni (>= 0.33.3-9~) ale nie zostanie zainstalowany
E: Niespełnione zależności. Proszę spróbować wykonać "apt --fix-broken install" bez pakietów (lub podać rozwiązanie).

Próbuję wykonać komendę z ostatniej linijki ale nie pomaga.

NIE PODPINAJ SIĘ POD CUDZE WĄTKI
Pokaż listę repozytorii:
Kod:
inxi -Sr
lub
Kod:
apt-cache policy
Kod:
[email protected]:~$ inxi -Sr
System:
  Host: tomasz-HP-ProBook-430-G2 Kernel: 4.15.0-20-generic x86_64 bits: 64
  Desktop: MATE 1.20.1 Distro: Linux Mint 19.1 Tessa
Repos:
  No active apt repos in: /etc/apt/sources.list
  Active apt repos in: /etc/apt/sources.list.d/notepadqq-team-notepadqq-bionic.list
  1: deb http://ppa.launchpad.net/notepadqq-team/notepadqq/ubuntu bionic main
  2: deb-src http://ppa.launchpad.net/notepadqq-team/notepadqq/ubuntu bionic main
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
  1: deb http://packages.linuxmint.com tessa main upstream import backport #id:linuxmint_main
  2: deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ bionic partner
[email protected]:~$

Dodano po pewnym czasie:
Kod:
[email protected]:~$ apt-cache policy
Plików pakietów:
100 /var/lib/dpkg/status
    release a=now
500 http://archive.canonical.com/ubuntu bionic/partner i386 Packages
    release v=18.04,o=Canonical,a=bionic,n=bionic,l=Partner archive,c=partner,b=i386
    origin archive.canonical.com
500 http://archive.canonical.com/ubuntu bionic/partner amd64 Packages
    release v=18.04,o=Canonical,a=bionic,n=bionic,l=Partner archive,c=partner,b=amd64
    origin archive.canonical.com
500 http://security.ubuntu.com/ubuntu bionic-security/multiverse i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=multiverse,b=i386
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=multiverse,b=amd64
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/universe i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=universe,b=i386
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=universe,b=amd64
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/restricted i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=restricted,b=i386
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=restricted,b=amd64
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=main,b=i386
    origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=main,b=amd64
    origin security.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-backports/universe i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=universe,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=universe,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-backports/main i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=main,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-backports/main amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=main,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=multiverse,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=multiverse,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=universe,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=universe,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/restricted i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=restricted,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=restricted,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=main,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=main,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=multiverse,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=multiverse,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/universe i386 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=universe,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=universe,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/restricted i386 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=restricted,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/restricted amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=restricted,b=amd64
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/main i386 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=main,b=i386
    origin archive.ubuntu.com
500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
    release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=main,b=amd64
    origin archive.ubuntu.com
500 http://packages.linuxmint.com tessa/backport i386 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=backport,b=i386
    origin packages.linuxmint.com
500 http://packages.linuxmint.com tessa/backport amd64 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=backport,b=amd64
    origin packages.linuxmint.com
500 http://packages.linuxmint.com tessa/import i386 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=import,b=i386
    origin packages.linuxmint.com
500 http://packages.linuxmint.com tessa/import amd64 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=import,b=amd64
    origin packages.linuxmint.com
700 http://packages.linuxmint.com tessa/upstream i386 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=upstream,b=i386
    origin packages.linuxmint.com
700 http://packages.linuxmint.com tessa/upstream amd64 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=upstream,b=amd64
    origin packages.linuxmint.com
500 http://packages.linuxmint.com tessa/main i386 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=main,b=i386
    origin packages.linuxmint.com
500 http://packages.linuxmint.com tessa/main amd64 Packages
    release v=19.1,o=linuxmint,a=tessa,n=tessa,l=linuxmint,c=main,b=amd64
    origin packages.linuxmint.com
500 http://ppa.launchpad.net/notepadqq-team/notepadqq/ubuntu bionic/main i386 Packages
    release v=18.04,o=LP-PPA-notepadqq-team-notepadqq,a=bionic,n=bionic,l=Notepadqq,c=main,b=i386
    origin ppa.launchpad.net
500 http://ppa.launchpad.net/notepadqq-team/notepadqq/ubuntu bionic/main amd64 Packages
    release v=18.04,o=LP-PPA-notepadqq-team-notepadqq,a=bionic,n=bionic,l=Notepadqq,c=main,b=amd64
    origin ppa.launchpad.net
Przypięte pakiety:

Mam "gołego" MINTa i chce poinstalować najpotrzebniejsze rzczy i nic nie mogę Confused
Pokaż wynik:
Kod:
sudo apt-get check
Pokaż też jaki efekt daje "komenda z ostatniej linijki" czyli E: Niespełnione zależności. Proszę spróbować wykonać "apt --fix-broken install" bez pakietów (lub podać rozwiązanie).
Działa :-)
Wielkie dzięki za pomoc

Dodano po pewnym czasie:
Kod:
[email protected]:~# apt --fix-broken install
apt
Usage: apt command [options]
      apt help command [options]

Commands:
 add-repository   - Add entries to apt sources.list
 autoclean        - Erase old downloaded archive files
 autoremove       - Remove automatically all unused packages
 build            - Build binary or source packages from sources
 build-dep        - Configure build-dependencies for source packages
 changelog        - View a package's changelog
 check            - Verify that there are no broken dependencies
 clean            - Erase downloaded archive files
 contains         - List packages containing a file
 content          - List files contained in a package
 deb              - Install a .deb package
 depends          - Show raw dependency information for a package
 dist-upgrade     - Upgrade the system by removing/installing/upgrading packages
 download         - Download the .deb file for a package
 edit-sources     - Edit /etc/apt/sources.list with your preferred text editor
 dselect-upgrade  - Follow dselect selections
 full-upgrade     - Same as 'dist-upgrade'
 held             - List all held packages
 help             - Show help for a command
 hold             - Hold a package
 install          - Install/upgrade packages
 list             - List packages based on package names
 policy           - Show policy settings
 purge            - Remove packages and their configuration files
 recommends       - List missing recommended packages for a particular package
 rdepends         - Show reverse dependency information for a package
 reinstall        - Download and (possibly) reinstall a currently installed package
 remove           - Remove packages
 search           - Search for a package by name and/or expression
 show             - Display detailed information about a package
 showhold         - Same as 'held'
 source           - Download source archives
 sources          - Same as 'edit-sources'
 unhold           - Unhold a package
 update           - Download lists of new/upgradable packages
 upgrade          - Perform a safe upgrade
 version          - Show the installed version of a package


Efekt taki sam jak poprzednio
Spróbuj tak jako root:
Kod:
apt install --fix-broken
lub
apt-get --fix-broken install
lub z konta użytkownika dodając sudo na początku
Temat aktualny?
(20-07-2019, 19:56)Ulvhedin napisał(a): [ -> ]Temat aktualny?

Dodano po pewnym czasie:
Wszystko działa jak należy. Dzięki za pomoc :-)